<template>
    <nav>
        <ul class="ul-menu">
            <li v-for="route in routes" :key="route.id" class="menu-item">
                <router-link :to="route.path ? route.path : '/'" class="menu-link">{{ route.title }}</router-link>
            </li>
        </ul>
    </nav>
</template>

<script>
export default {
    props: {
        routes: {
            type: Array,
            required: true
        }
    }
}
</script>

<style lang="scss">
    nav {
        display: block;
        text-align: left;
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        background: #EFEFEF;
        padding: 10px;
    }

    .ul-menu {

        li.menu-item {
            display: inline-block;
            padding: 0 5px;

            a.menu-link {
                display: block;
                color: #666;
                background: #FFF;
                border-radius: 5px;
                padding: 10px;
                text-decoration: none;

                &:hover {
                    text-decoration: underline;
                }
            }
        }
    }
</style>
